// Script assets have changed for v2.3.0 see
// https://help.yoyogames.com/hc/en-us/articles/360005277377 for more information

/*
@description Récupère tous les instances d'obj se trouvant dans un rectangle
@param {x1} coordonnée x gauche du rectangle
@param {y1} coordonnée y haut du rectangle
@param {x2} coordonnée x droit du rectangle
@param {y2} coordonnée y bas du rectangle
@param {obj} le type des instances à chercher 
@return la liste des id des instances se trouvant dans le restangle
*/
function getCollisionArea(x1, y1, x2, y2, obj){
	list = ds_list_create();
	
	with(obj) { 
		if ( x >= x1 && x <= x2 && y >= y1 && y <= y2) {
			ds_list_add(list, obj.id);
		}
	}
	
	return list;
}